Skip site navigation (1) Skip section navigation (2)

Bug #788: configure script confused by gcc-3.2

From: pgsql-bugs(at)postgresql(dot)org
To: pgsql-bugs(at)postgresql(dot)org
Subject: Bug #788: configure script confused by gcc-3.2
Date: 2002-09-28 15:54:35
Message-ID: 20020928155435.64DDB475F26@postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
Richard Lightman (richard(at)nezumi(dot)plus(dot)com) reports a bug with a severity of 3
The lower the number the more severe it is.

Short Description
configure script confused by gcc-3.2

Long Description
The configure script tries to get gcc's version number into confdefs.h
gcc-3.0.* outputs one line of text, but 3.2 outputs several lines.
When confdef.h is included by configure's test programs, gcc-3.2
complains that multiline string litterals are not allowed.
Configure assumes that this is a valid result for some test, for
example it will assume openssl is not installed when it is.
The example code is a hack that demonstates I have problems using
autoconf, but despite that, "All 76 tests passed" with this patch.

Sample Code
diff -urN postgresql-7.1.3/configure postgresql-7.1.3-rcl/configure
--- postgresql-7.1.3/configure  Thu Aug 16 19:36:31 2001
+++ postgresql-7.1.3-rcl/configure      Sat Sep 28 16:30:44 2002
@@ -1617,7 +1617,7 @@

 # Create compiler version string
 if test x"$GCC" = x"yes" ; then
-  cc_string="GCC `${CC} --version`"
+  cc_string="GCC `${CC} --version | head -1`"
 else
   cc_string=$CC
 fi

No file was uploaded with this report


Responses

pgsql-bugs by date

Next:From: Tom LaneDate: 2002-09-28 16:20:49
Subject: Re: current cvs doesn't compile
Previous:From: Hubert depesz LubaczewskiDate: 2002-09-28 07:16:51
Subject: current cvs doesn't compile

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group